org.apache.tinkerpop.gremlin.hadoop.process.computer

## Class GraphFilterInputFormat

- java.lang.Object
- - <any>
  - - org.apache.tinkerpop.gremlin.hadoop.process.computer.GraphFilterInputFormat

- All Implemented Interfaces:
    GraphFilterAware

      public final class GraphFilterInputFormat
      extends <any>
      implements GraphFilterAware

  GraphFilterInputFormat is a utility `InputFormat` that is useful if the underlying InputFormat is not `GraphFilterAware`. If the underlying InputFormat is GraphFilterAware, then GraphFilterInputFormat acts as an identity mapping. If the underlying InputFormat is not GraphFilterAware, then GraphFilterInputFormat will apply the respective `GraphFilter` and prune the loaded source graph data accordingly.
  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphFilterInputFormat()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<any>` | `createRecordReader(InputSplit inputSplit, TaskAttemptContext taskAttemptContext)`
    `List<InputSplit>` | `getSplits(JobContext jobContext)`
    `void` | `setGraphFilter(GraphFilter graphFilter)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.hadoop.structure.io.GraphFilterAware

      `storeGraphFilter`

- - ### Constructor Detail

    - #### GraphFilterInputFormat

          public GraphFilterInputFormat()

  - ### Method Detail

    - #### getSplits

          public List<InputSplit> getSplits(JobContext jobContext)
                                     throws IOException,
                                            InterruptedException

      Throws:
        `IOException`
        `InterruptedException`

    - #### createRecordReader

          public <any> createRecordReader(InputSplit inputSplit,
                                          TaskAttemptContext taskAttemptContext)
                                   throws IOException,
                                          InterruptedException

      Throws:
        `IOException`
        `InterruptedException`

    - #### setGraphFilter

          public void setGraphFilter(GraphFilter graphFilter)

      Specified by:
        `setGraphFilter` in interface `GraphFilterAware`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.